﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Frame.aspx.cs" Inherits="Flowcom.ValidateText.Frame" EnableViewState="false" EnableViewStateMac="false" ViewStateEncryptionMode="Never" %>
<%@ Register TagPrefix="asp" Namespace="System.Web.UI.WebControls" Assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" %>
<%@ Import namespace="EPiServer.WebControls"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title>ValidateText</title>
		<link href="~/Util/styles/system.css" rel="stylesheet" type="text/css"/>
	</head>
	<body>
    <form id="form1" runat="server" method="post" action="https://www.valideratext.se/integration/episerver/html">
        <div>
            <asp:PlaceHolder runat="server" ID="RedirectInformation">
                <p style="color: #808080">
                    ContentFlight.ValidateText.Frame.aspx<br />
                    Redirection in progress... (to be completed)
                </p>
            </asp:PlaceHolder>
            <asp:PlaceHolder runat="server" ID="ShowLoginInformation" Visible="False">
                <div><asp:Label ID="lblLogininfo" Runat="server"></asp:Label></div>
<%--                <div>
                    <asp:HyperLink runat="server" ID="MySettingsLink"></asp:HyperLink>
                </div>--%>
            </asp:PlaceHolder>
            <asp:PlaceHolder runat="server" ID="SubmitForm" Visible="False">
                <div style="display:none;">
                    <input id="ApplicationName" runat="server" maxlength="50" name="ApplicationName" type="text" />
                    <input id="ApplicationVersion" runat="server" maxlength="50" name="ApplicationVersion" type="text" />
                    <input runat="server" data-val="true" data-val-required="The UserName field is required." id="UserName" maxlength="256" name="UserName" type="text" />
                    <input runat="server" data-val="true" data-val-required="The UserPassword field is required." id="UserPassword" maxlength="50" name="UserPassword" type="text" />
                    <textarea cols="100" data-val="true" data-val-required="The RawText field is required." runat="server" id="RawText" name="RawText" rows="20"></textarea>
                    <input type="submit" value="Send" />
                </div>
            </asp:PlaceHolder>
        </div>
    </form>
	</body>
	<script>
        var ctrl = window.location.search.substring(1);
        ctrl = ctrl.substring(5);

        var frameObject = opener.document.frames[ctrl];
        var thisObject = document.getElementById('RawText');
        var text = frameObject.contentWindow.document.body.innerHTML;

        text = text.replace(/&nbsp;/g, ' ');
        text = text.replace(/<\/p>/gi, '\n');
        text = text.replace(/<h?>/gi, '\n');
        text = text.replace(/<br>/gi, '\n');
        text = text.replace(/<br?>/gi, '\n');
        text = text.replace(/<br??>/gi, '\n');
        text = text.replace(/<\/div>/gi, '\n');
        text = text.replace(/<\/?[^>]+(>|$)/g, '');
        
        thisObject.value = text;
        form1.submit();
	</script>
</html>
